﻿2026-06-03T22:00:55.4076605Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-03T22:00:55.4077084Z with:
2026-06-03T22:00:55.4077367Z   components: clippy
2026-06-03T22:00:55.4077677Z   toolchain: stable
2026-06-03T22:00:55.4077972Z ##[endgroup]
2026-06-03T22:00:55.4283997Z ##[group]Run : parse toolchain version
2026-06-03T22:00:55.4284727Z [36;1m: parse toolchain version[0m
2026-06-03T22:00:55.4285337Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-03T22:00:55.4286000Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-03T22:00:55.4286701Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-03T22:00:55.4287094Z [36;1m  exit 1[0m
2026-06-03T22:00:55.4287531Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-03T22:00:55.4288054Z [36;1m  if [[ Linux == macOS ]]; then[0m
2026-06-03T22:00:55.4288707Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-03T22:00:55.4289406Z [36;1m  else[0m
2026-06-03T22:00:55.4289927Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-03T22:00:55.4290611Z [36;1m  fi[0m
2026-06-03T22:00:55.4291019Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-03T22:00:55.4291690Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-03T22:00:55.4292267Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-03T22:00:55.4292916Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-03T22:00:55.4293537Z [36;1melse[0m
2026-06-03T22:00:55.4293912Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-03T22:00:55.4294305Z [36;1mfi[0m
2026-06-03T22:00:55.4326399Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:00:55.4326912Z env:
2026-06-03T22:00:55.4327187Z   toolchain: stable
2026-06-03T22:00:55.4327481Z ##[endgroup]
2026-06-03T22:00:55.4532668Z ##[group]Run : construct rustup command line
2026-06-03T22:00:55.4533169Z [36;1m: construct rustup command line[0m
2026-06-03T22:00:55.4533792Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-03T22:00:55.4534966Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-03T22:00:55.4535630Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-03T22:00:55.4561011Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:00:55.4561490Z env:
2026-06-03T22:00:55.4561786Z   targets: 
2026-06-03T22:00:55.4562092Z   components: clippy
2026-06-03T22:00:55.4562420Z ##[endgroup]
2026-06-03T22:00:55.4648303Z ##[group]Run : set $CARGO_HOME
2026-06-03T22:00:55.4648703Z [36;1m: set $CARGO_HOME[0m
2026-06-03T22:00:55.4649170Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$HOME/.cargo"} >> $GITHUB_ENV[0m
2026-06-03T22:00:55.4674903Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:00:55.4675440Z ##[endgroup]
2026-06-03T22:00:55.4758799Z ##[group]Run : install rustup if needed
2026-06-03T22:00:55.4759260Z [36;1m: install rustup if needed[0m
2026-06-03T22:00:55.4759689Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-03T22:00:55.4760635Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://sh.rustup.rs | sh -s -- --default-toolchain none -y[0m
2026-06-03T22:00:55.4761558Z [36;1m  echo "$CARGO_HOME/bin" >> $GITHUB_PATH[0m
2026-06-03T22:00:55.4761968Z [36;1mfi[0m
2026-06-03T22:00:55.4787796Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:00:55.4788277Z env:
2026-06-03T22:00:55.4788600Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T22:00:55.4789048Z ##[endgroup]
2026-06-03T22:00:55.4874299Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-03T22:00:55.4875567Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-03T22:00:55.4902484Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:00:55.4903134Z env:
2026-06-03T22:00:55.4903446Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T22:00:55.4903833Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-03T22:00:55.4904185Z ##[endgroup]
2026-06-03T22:00:55.7803346Z info: syncing channel updates for stable-x86_64-unknown-linux-gnu
2026-06-03T22:00:56.0906319Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T22:00:56.1237075Z info: removing previous version of component clippy
2026-06-03T22:00:56.1315180Z info: removing previous version of component rustfmt
2026-06-03T22:00:56.1330066Z info: removing previous version of component cargo
2026-06-03T22:00:56.1393611Z info: removing previous version of component rust-std
2026-06-03T22:00:56.1515447Z info: removing previous version of component rustc
2026-06-03T22:00:56.1596490Z info: downloading 5 components
2026-06-03T22:01:04.9393561Z 
2026-06-03T22:01:04.9487578Z   stable-x86_64-unknown-linux-gnu updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-03T22:01:04.9489631Z 
2026-06-03T22:01:04.9565814Z ##[group]Run rustup default stable
2026-06-03T22:01:04.9566155Z [36;1mrustup default stable[0m
2026-06-03T22:01:04.9592364Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:04.9592737Z env:
2026-06-03T22:01:04.9592941Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T22:01:04.9593193Z ##[endgroup]
2026-06-03T22:01:04.9696019Z info: using existing install for stable-x86_64-unknown-linux-gnu
2026-06-03T22:01:04.9703711Z info: default toolchain set to stable-x86_64-unknown-linux-gnu
2026-06-03T22:01:04.9704223Z 
2026-06-03T22:01:04.9774771Z   stable-x86_64-unknown-linux-gnu unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T22:01:04.9775755Z 
2026-06-03T22:01:04.9810947Z ##[group]Run : create cachekey
2026-06-03T22:01:04.9811296Z [36;1m: create cachekey[0m
2026-06-03T22:01:04.9811802Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-03T22:01:04.9812488Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-03T22:01:04.9812988Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-03T22:01:04.9838554Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:04.9838914Z env:
2026-06-03T22:01:04.9839123Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T22:01:04.9839386Z ##[endgroup]
2026-06-03T22:01:05.0189667Z ##[group]Run : disable incremental compilation
2026-06-03T22:01:05.0190079Z [36;1m: disable incremental compilation[0m
2026-06-03T22:01:05.0190416Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-03T22:01:05.0190792Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-03T22:01:05.0191095Z [36;1mfi[0m
2026-06-03T22:01:05.0216917Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:05.0217322Z env:
2026-06-03T22:01:05.0217546Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T22:01:05.0217807Z ##[endgroup]
2026-06-03T22:01:05.0286124Z ##[group]Run : enable colors in Cargo output
2026-06-03T22:01:05.0286469Z [36;1m: enable colors in Cargo output[0m
2026-06-03T22:01:05.0286831Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-03T22:01:05.0287170Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-03T22:01:05.0287465Z [36;1mfi[0m
2026-06-03T22:01:05.0311197Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:05.0311556Z env:
2026-06-03T22:01:05.0311759Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T22:01:05.0312031Z   CARGO_INCREMENTAL: 0
2026-06-03T22:01:05.0312251Z ##[endgroup]
2026-06-03T22:01:05.0460819Z ##[group]Run : enable Cargo sparse registry
2026-06-03T22:01:05.0461328Z [36;1m: enable Cargo sparse registry[0m
2026-06-03T22:01:05.0461690Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-03T22:01:05.0462400Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-03T22:01:05.0463285Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-03T22:01:05.0463864Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-03T22:01:05.0464751Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-03T22:01:05.0465329Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-03T22:01:05.0465903Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-03T22:01:05.0466440Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-03T22:01:05.0466782Z [36;1m  fi[0m
2026-06-03T22:01:05.0466971Z [36;1mfi[0m
2026-06-03T22:01:05.0490326Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:05.0490678Z env:
2026-06-03T22:01:05.0490882Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T22:01:05.0491145Z   CARGO_INCREMENTAL: 0
2026-06-03T22:01:05.0491366Z   CARGO_TERM_COLOR: always
2026-06-03T22:01:05.0491587Z ##[endgroup]
2026-06-03T22:01:05.0828882Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-03T22:01:05.0829358Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-03T22:01:05.0829913Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-03T22:01:05.0830555Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-03T22:01:05.0831012Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-03T22:01:05.0831356Z [36;1mfi[0m
2026-06-03T22:01:05.0857300Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:05.0857668Z env:
2026-06-03T22:01:05.0857887Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T22:01:05.0858154Z   CARGO_INCREMENTAL: 0
2026-06-03T22:01:05.0858376Z   CARGO_TERM_COLOR: always
2026-06-03T22:01:05.0858616Z ##[endgroup]
2026-06-03T22:01:05.1060808Z ##[group]Run rustc +stable --version --verbose
2026-06-03T22:01:05.1061192Z [36;1mrustc +stable --version --verbose[0m
2026-06-03T22:01:05.1086487Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:05.1086863Z env:
2026-06-03T22:01:05.1087071Z   CARGO_HOME: /home/runner/.cargo
2026-06-03T22:01:05.1087328Z   CARGO_INCREMENTAL: 0
2026-06-03T22:01:05.1087552Z   CARGO_TERM_COLOR: always
2026-06-03T22:01:05.1087772Z ##[endgroup]
2026-06-03T22:01:05.1245230Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T22:01:05.1246106Z binary: rustc
2026-06-03T22:01:05.1246845Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-03T22:01:05.1247603Z commit-date: 2026-05-25
2026-06-03T22:01:05.1248274Z host: x86_64-unknown-linux-gnu
2026-06-03T22:01:05.1248868Z release: 1.96.0
2026-06-03T22:01:05.1249381Z LLVM version: 22.1.2
